Page MenuHomeFreeBSD

ixgbe(4): Update shared code, add support for X552, fix bug
ClosedPublic

Authored by krzysztof.galazka_intel.com on Jan 12 2018, 4:46 PM.

Details

Summary

This patch will:

  • Update ixgbe shared code
  • Add support for Intel(R) Ethernet Connection X552 1000BASE-T
  • Add error handling for link state check preventing VF from stopping traffic after changing PF's MTU value.

History of commits included in this revision may be found at https://github.com/intel-wired-ethernet/freebsd/commits/ixgbe-D13885

Test Plan

Compile-tested with minimal touch-testing. Respectfully request waiting for our Validation Team to perform a test pass before committing.

Diff Detail

Lint
Lint SkippedExcuse: No lint
Unit
No Unit Test Coverage
Build Status
Buildable 14334
Build 14492: arc lint + arc unit

Event Timeline

kbowling accepted this revision.Jan 15 2018, 2:21 PM
piotr.pietruszewski_intel.com edited the test plan for this revision. (Show Details)
piotr.pietruszewski_intel.com updated this revision to Diff 37970.
  • Bump version numbers.
sbruno accepted this revision.Jan 16 2018, 1:56 PM

Let me know if you need me to commit this.

This revision is now accepted and ready to land.Jan 16 2018, 1:56 PM
skozlov requested changes to this revision.Jan 16 2018, 4:12 PM
skozlov added a subscriber: skozlov.

Blocking until Intel internal validation is complete.

This revision now requires changes to proceed.Jan 16 2018, 4:12 PM
jeffrey.e.pieper_intel.com requested changes to this revision.Jan 16 2018, 10:39 PM

ixv is totally broken. on a FreeBSD host with PCI_IOV, assigning an IP address to a "bare metal" ixv interface{F3125365} causes a kernel panic. On a Linux host, the VF hangs when assigned an IP address and requires a reboot of the VM to recover.

  • Fix kernel panic occuring when IP is assigned to ixv interface

This patch will fix kernel panic occuring when IP address is assigned
to ixv interface on FreeBSD host with PCI_IOV.

  • Fix adapter status reporting

The above two patches resolve aforementioned kernel panic issue. Issue with VFs unable to pass traffic on FreeBSD host with PCI_IOV is under investigation.

piotr.pietruszewski_intel.com retitled this revision from ixgbe(4): Update shared code, add support for X552, fix bugs to ixgbe(4): Update shared code, add support for X552, fix bug.Jan 18 2018, 12:05 PM
piotr.pietruszewski_intel.com edited the summary of this revision. (Show Details)
piotr.pietruszewski_intel.com updated this revision to Diff 38137.
  • Revert SRIOV initialization fix

SRIOV initialization fix is reverted at the request of Validation Team due to its incompleteness.

Rebased on top of HEAD with erj@ patch for ixv_if_init (r328365)

Unrelated, is there a use case for FreeBSD Bhyve here? If we had PF support on FreeBSD, could we use pass through to use VFs?

Unrelated, is there a use case for FreeBSD Bhyve here? If we had PF support on FreeBSD, could we use pass through to use VFs?

Yes, that'd be possible.

Unrelated, is there a use case for FreeBSD Bhyve here? If we had PF support on FreeBSD, could we use pass through to use VFs?

This patch originally was supposed to fix PCI_IOV support, but it introduced regressions. We thought it would be better to remove that portion of the patch until the code is complete and functional.

skozlov accepted this revision.Mar 19 2018, 4:09 PM

The validation exposed a memory leak for a specific traffic pattern. After additional investigation the same leak was found in iflib igb/em driver as well.
As that's the only issue discovered during testing, and, most probably, it's not caused by the changes in the patch - it was decided to merge the patch.

This revision is now accepted and ready to land.Mar 19 2018, 5:30 PM
erj closed this revision.Mar 19 2018, 10:37 PM
erj added a subscriber: erj.

Committed in rS331224.

(Why do these never get automatically closed when I commit something?)